Bug 886113 - hostname: command not found
Summary: hostname: command not found
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-11 14:42 UTC by H.J. Lu
Modified: 2013-01-18 20:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-18 20:45:52 UTC
Type: Bug


Attachments (Terms of Use)

Description H.J. Lu 2012-12-11 14:42:18 UTC
kernel build scripts use hostname.  But its dependency isn't
listed in kernel.spec.  During mock build, I got

/builddir/build/BUILD/kernel-3.6.fc17/linux-3.6.9-2.fc17.i686/scripts/mkcompile_h: line 51: hostname: command not found

and

# cat /proc/version                                            ~
Linux version 3.6.9-2.fc17.i686.PAE (mockbuild@) (gcc version 4.7.2 20120921 (Red Hat 4.7.2-2) (GCC) ) #1 SMP Wed Dec 5 09:59:41 PST 2012

Comment 1 Josh Boyer 2013-01-02 14:14:10 UTC
This used to be pulled in by some other package dependency.  Seems something changed and that isn't brought in automatically any longer.  I've patched the spec file to explicitly require the hostname package.

Comment 2 Fedora Update System 2013-01-04 17:47:02 UTC
kernel-3.7.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.7.1-2.fc18

Comment 3 Fedora Update System 2013-01-05 21:54:41 UTC
Package kernel-3.7.1-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.7.1-2.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0293/kernel-3.7.1-2.fc18
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-01-08 19:53:27 UTC
kernel-3.7.1-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.7.1-5.fc18

Comment 5 Fedora Update System 2013-01-08 22:51:28 UTC
kernel-3.6.11-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kernel-3.6.11-5.fc17

Comment 6 Fedora Update System 2013-01-12 15:07:11 UTC
kernel-3.7.2-201.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.7.2-201.fc18

Comment 7 Fedora Update System 2013-01-18 20:45:54 UTC
kernel-3.6.11-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.